<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="desafio">
    <!-- 1) Ligue o botão para alternar a exibição dos dois parágrafos. Use ambos v-if e v-show e inspecione os elementos para ver a diferença -->
    <h2>#01</h2>
    <div>
      <button @click="boolean1 = !boolean1">Alternar</button>
      <p v-if="boolean1">Você quer me ver ... (if/else)</p>
      <p v-else>...ou eu (if/else)</p>
      <p v-show="boolean1">Você quer me ver ... (show)</p>
      <p v-show="!boolean1">...ou eu (show)</p>
    </div>

    <!-- 2) Exiba em uma <ul> um array de elementos da sua escolha. Imprima também o índice de cada elemento. -->
    <h2>#02</h2>
    <ul>
      <li v-for="(name,i) in array">{{ i }}) {{ name }}</li>
    </ul>

    <!-- 3) Imprimir todos os pares de valor-chave do objeto a seguir:
    {
			titulo: 'O Senhor dos Anéis',
			autor: 'J.R.R. Tolkiens',
			volume: '3'
		}
    Imprima também o índice de cada item. -->
    <h2>#03</h2>
    <ul>
      <li v-for="(valor, chave, i) in livro">{{ i }}) {{ chave }} - {{ valor }}</li>
    </ul>

    <!-- 4) Imprima o seguinte objeto (somente os valores) e também crie um loop aninhado para o array:
    {
			id: 10,
			nome: 'Maria',
			notas: [7.67, 8.33, 6.98, 9.21]
		}
    (dica: use v-for e v-if na resolução) -->
    <h2>#04</h2>
    <ul>
      <li v-for="valor in aluno">
        <template v-if="!Array.isArray(valor)">
          valor: {{ valor }}
        </template>
        <template v-else>
          subvalores:
          <ul>
            <li v-for="v in valor">{{ v }}</li>
          </ul>
        </template>
      </li>
    </ul>

  </div>
  <script src="app.js"></script>
</body>

</html>